Subject: Bug tracking system's outgoing mail

From: [email-masked] (Ian Jackson)
Date: Sat, 31 Aug 96 18:15 BST

I have reconfigured the sub-MTA in my home directory on master which
is used by the bug tracking system.  (I have Smail installed in my
filespace because qmail's sendmail command line emulation is broken
and using Smail as a gateway to the system's real MTA was easier than
trying to parse RFC822 recipient fields myself.)

The bug system's mailer will now deliver mail itself whenever it can;
previously it used `localhost' as a smarthost, so that master's qmail
installation would do the actual delivery.

This will, I hope:
 (a) provide logs for outgoing mail at least.  qmail does not log
     anything at all, making it impossible to trace missing mail.
 (b) provide faster delivery.  qmail doesn't deliver things
     immediately - it always waits for a queue run.
 (c) provide more reliable delivery.  I have had a couple of
     unexplained `unknown mail domain' type bounces.
 (d) allow me to inspect the outbound mail queue without becoming
     root.

Users should not notice any difference.  If you encounter any problems
(eg, malformed messages from the bug system) please let me know.

Ian.